Instagram Trending Reels API

Get trending reels from Instagram. Call this endpoint again to get new-ish results. There can be duplicates because this uses Instagram's public instagram.com/reels page, and that is how the page behaves too.

1 creditper request
GET
/v1/instagram/reels/trending
curl "https://api.scrapecreators.com/v1/instagram/reels/trending" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 100,
  "data": {
    "reels": [
      {
        "id": "3659267353687104516",
        "pk": "3659267353687104516",
        "shortcode": "DYt13O8gLoE",
        "url": "https://www.instagram.com/reel/DYt13O8gLoE/",
        "caption": "Funny clip from today",
        "taken_at": "2026-01-02T18:32:11.000Z",
        "media_type": 2,
        "product_type": "clips",
        "video_url": "https://scontent.cdninstagram.com/o1/v/t16/f2/m86/example.mp4",
        "video_versions": [
          {
            "type": 101,
            "width": 720,
            "height": 1280,
            "url": "https://scontent.cdninstagram.com/o1/v/t16/f2/m86/example.mp4"
          }
        ],
        "image_url": "https://scontent.cdninstagram.com/v/t51.2885-15/example.jpg",
        "image_versions2": {
          "candidates": [
            {
              "width": 720,
              "height": 1280,
              "url": "https://scontent.cdninstagram.com/v/t51.2885-15/example.jpg"
            }
          ]
        },
        "original_width": 720,
        "original_height": 1280,
        "has_audio": true,
        "like_count": 12345,
        "comment_count": 123,
        "play_count": 456789,
        "ig_play_count": 456789,
        "clips_metadata": {},
        "user": {
          "id": "123456789",
          "pk": "123456789",
          "username": "creator",
          "full_name": "Creator",
          "profile_pic_url": "https://scontent.cdninstagram.com/v/t51.2885-19/example.jpg",
          "is_verified": true,
          "is_private": false
        }
      }
    ]
  }
}

Headers

x-api-key
string
required

Your Scrape Creators API key